Name: vte
Version: 0.11.13
Release: alt2

%def_enable pty_helper
%def_disable static

Summary: Terminal emulator widget for use with GTK+2
License: LGPL
Group: Terminals

Requires: lib%name = %version-%release

Source: %name-%version.tar.bz2
Patch1: %name-0.11.11-utempter.patch

%add_findprov_lib_path %python_sitelibdir/gtk-2.0

BuildPreReq: rpm-build-python

BuildRequires: gtk-doc >= 0.6
#BuildRequires: libXft-devel >= 2.0
BuildRequires: libgtk+2-devel >= 2.2
BuildRequires: libpango-devel >= 1.1.0
BuildRequires: python-devel >= 2.4

%if_enabled pty_helper
BuildRequires: libutempter-devel
%endif

BuildRequires: XFree86-devel XFree86-libs common-licenses
BuildRequires: docbook-dtds docbook-style-dsssl fontconfig-devel
BuildRequires: freetype2-devel glib2-devel libart_lgpl-devel libatk-devel
BuildRequires: libexpat-devel libncurses-devel libtinfo-devel
BuildRequires: openjade pkgconfig python-module-pygtk-devel sgml-common
BuildRequires: zlib-devel

%description
VTE is an experimental terminal emulator widget for use with GTK+2

%package -n lib%name
Summary: Terminal emulator widget library for use with GTK+2
Group: System/Libraries

%description -n lib%name
VTE is an experimental terminal emulator widget for use with GTK+2.
This package contains the VTE shared libraries.

%package -n lib%name-devel
Summary: Files needed for developing applications which use VTE
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: libgtk+2-devel >= 2.2

%description -n lib%name-devel
VTE is a terminal emulator widget for use with GTK+2. This package
contains the files needed for building applications using VTE.

%if_enabled static
%package -n lib%name-devel-static
Summary: Static libraries for VTE
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
VTE is a terminal emulator widget for use with GTK+2. This package
contains the libraries needed for building applications statically
linked with VTE.
%endif	# enabled static

%package -n python-module-%name
Summary: Python bindings for VTE
Group: Development/Python
Provides: vte-python
Obsoletes: vte-python
Requires: lib%name = %version-%release
Requires: python = %__python_version
Requires: python-module-pygtk

%description -n python-module-%name
VTE is a terminal emulator widget for use with GTK+2. This package
contains bindings to VTE for the Python scripting language.

%define helperdir %_libdir/%name

%prep
%setup -q
%patch1 -p1

# Needed for Patch0 & Patch1
%__aclocal
%__automake
%__autoconf

# Needed for Patch1
cd gnome-pty-helper
%__autoconf
%__autoheader
cd -

rm -f COPYING
ln -sf %_licensedir/LGPL-2 COPYING

bzip2 -9k ChangeLog

%build
export PYTHON=%__python
%configure \
	--libexecdir=%helperdir \
	--without-glX \
%if_enabled pty_helper
	--enable-gnome-pty-helper \
	--with-utempter \
%else
	--disable-gnome-pty-helper \
%endif
	--enable-shared \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

# find apps for devel package in %%libexecdir (exclude gnome-pty-helper)
find %buildroot%helperdir -type f| \
%__grep -v gnome-pty-helper| \
%__sed -e 's|^%buildroot||' >devel.files

# Remove unpackaged files
find %buildroot -type f -name '*.la' -print0 | xargs -r0 rm -f

%find_lang %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*

%files -n lib%name -f %name.lang
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog.bz2 MESSAGE-OF-DOOM NEWS README
%_libdir/*.so.*
%_datadir/%name
%if_enabled pty_helper
%dir %helperdir
%attr(2711,root,utempter) %helperdir/gnome-pty-helper
%endif

%files -n lib%name-devel -f devel.files
%doc doc/utmpwtmp.txt doc/boxes.txt src/iso2022.txt doc/openi18n/*.txt
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc %_datadir/gtk-doc/html/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif	# enabled static

%files -n python-module-%name
%python_sitelibdir/gtk-2.0/*.so

%changelog
* Sun Jun 05 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.13-alt2
- Removed libzvt-devel from build dependencies

* Wed Apr 20 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.13-alt1
- New upstream release

* Sun Mar 20 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.12-alt2
- Rebuilt with Python 2.4

* Fri Mar 04 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.12-alt1
- New upstream release

* Sat Nov 06 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.11-alt2
- Change build dependency to python-module-pygtk
- Use macros from rpm-build-python
- Added python target directory to %%_findprov_lib_path

* Tue Jul 27 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.11-alt1
- New upstream release
- Patch0 is obsolete
- Updated Patch1
- Renamed the python package to adhere to the New Policy

* Wed Jan 21 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.10-alt4
- Removed libXft-devel from BuildRequires (but see bug #2654)
- Development/Python group for the Python bindings

* Thu Dec 11 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.10-alt3
- Removed libtool files from the filelist

* Fri Oct 10 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.10-alt2
- Removed a bogus version macro

* Fri Jun 27 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.10-alt1
- New version
- Use utempter helper to update utmp/wtmp [Patch1]

* Fri Jun 13 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.9-alt2
- Patch0 updated

* Sun Jun 08 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.9-alt1
- New version
- Prevent configure from using glX, and let it choose over rendering
- Symlink the license from the shared licenses directory

* Tue Apr 29 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.4-alt1
- New version
- Patch0 updated

* Wed Apr 23 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.3-alt1
- New version
- Patch1 obsoleted
- --with-xft2 configure option

* Mon Mar 31 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.0-alt2
- A patch from Bugzilla against crash on tab exit [Patch1]

* Fri Mar 28 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.0-alt1
- New version

* Sat Mar 22 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.26-alt1
- 0.10.26
- Patch0: --disable-pty-helper was broken

* Wed Feb 12 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.17-alt1mhz1
- Added vte binary package with the vte binary
- Segregated the python module into the python subpackage

* Mon Feb 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.10.17-alt1
- 0.10.17

* Fri Jan 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.10.14-alt1
- 0.10.14

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.10.12-alt1
- 0.10.12

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.10.8-alt1
- 0.10.8

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.10.7-alt1
- 0.10.7

* Wed Dec 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.10.6-alt1
- 0.10.6

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.10.5-alt1
- 0.10.5

* Sun Nov 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.10.4-alt1
- 0.10.4

* Thu Nov 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.10.2-alt1
- 0.10.2

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt1
- First build for Sisyphus.
